Subject: Re: [PATCH] git_config_push_parameter: handle empty GIT_CONFIG_PARAMETERS

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Mar 2016 13:29:28 -0700

Jeff King <[email-masked]> writes:

> Obviously another option would be to make the parsing side more liberal
> (which has the added effect that if anybody _else_ ever wants to
> generate $GIT_CONFIG_PARAMETERS, they will not get annoyed). But I took
> this route for now because it's the simplest way to fix the regression.
> And even if we do later make the parser more liberal, it's still a good
> idea to keep the output from the generating side as clean as possible.

Sounds sensible.  Will queue.  Thanks.  

> I just did this on master, and it is standalone. But for the reasons
> above I think it would also be fine to stick on the tip of the
> jk/submodule-c-credential topic.

Yup, I think that is fine.